Package org.gradle.play.plugins

# Class PlayPluginConfigurations

java.lang.Object
org.gradle.play.plugins.PlayPluginConfigurations

@Incubating public class PlayPluginConfigurations extends Object
Conventional locations and names for play plugins.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPILE_CONFIGURATION`
`static final String`
`PLATFORM_CONFIGURATION`
`static final String`
`RUN_CONFIGURATION`
`static final String`
`TEST_COMPILE_CONFIGURATION`

## Constructor Summary

Constructors
Constructor
Description
`PlayPluginConfigurations(ConfigurationContainer configurations, DependencyHandler dependencyHandler)`

## Method Summary

Modifier and Type
Method
Description
`org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration`
`getPlay()`
`org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration`
`getPlayPlatform()`
`org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration`
`getPlayRun()`
`org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration`
`getPlayTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PLATFORM_CONFIGURATION

public static final String PLATFORM_CONFIGURATION

See Also:
  - Constant Field Values

### COMPILE_CONFIGURATION

public static final String COMPILE_CONFIGURATION

See Also:
  - Constant Field Values

### RUN_CONFIGURATION

public static final String RUN_CONFIGURATION

See Also:
  - Constant Field Values

### TEST_COMPILE_CONFIGURATION

public static final String TEST_COMPILE_CONFIGURATION

See Also:
  - Constant Field Values

## Constructor Details

### PlayPluginConfigurations

public PlayPluginConfigurations(ConfigurationContainer configurations, DependencyHandler dependencyHandler)

## Method Details

### getPlayPlatform

public org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration getPlayPlatform()

### getPlay

public org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration getPlay()

### getPlayRun

public org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration getPlayRun()

### getPlayTest

public org.gradle.play.plugins.PlayPluginConfigurations.PlayConfiguration getPlayTest()